#ifndef DP_AUXWIDGET_H
#define DP_AUXWIDGET_H

#include "../widgets/dw_widget.h"

class OFD_Reader;

namespace Ui {
class DP_AuxWidget;
}

//辅助功能设置
class DP_AuxWidget : public DW_BaseSetWidget
{
    Q_OBJECT

public:
    explicit DP_AuxWidget(QWidget *parent, OFD_Reader* pReader);
    ~DP_AuxWidget();

protected:
    virtual void    _InitUI();
    virtual void    _SaveModify(int iFlag);

private slots:
    void on_checkBox_MoveBaseline_clicked(bool checked);
    void on_checkBox_CoordTips_clicked(bool checked);

private:
    Ui::DP_AuxWidget *ui;
};

#endif // DP_AUXWIDGET_H
