#ifndef DP_SEALSTAMPWIDGET_H
#define DP_SEALSTAMPWIDGET_H

//签章图章设置对话框
#include "../widgets/dw_widget.h"
#include "../framework/df_framework.h"

namespace Ui {
class DP_SealStampWidget;
}

class OFD_Reader;
class DP_OptionDialog;

class DP_SealStampWidget : public DW_BaseSetWidget
{
    Q_OBJECT

public:
    explicit DP_SealStampWidget(DP_OptionDialog *parent, OFD_Reader* pReader);
    ~DP_SealStampWidget();

protected:
    virtual void    _InitUI();
    virtual void    _SaveModify(int iFlag);

private slots:
    void on_checkBox_AddTimeStamp_clicked();
    void on_checkBox_PrintTimeStamp_clicked();
    void on_checkBox_SealAtomize_clicked();

private:
    Ui::DP_SealStampWidget *ui;

    void    _UpdateEnable();
};


#endif // DP_SEALSTAMPWIDGET_H
