#ifndef DP_TABLETWIDGET_H
#define DP_TABLETWIDGET_H

#include "../widgets/dw_widget.h"

class OFD_Reader;
class DP_OptionDialog;

//手写板设置窗口
namespace Ui {
class DP_TabletWidget;
}

class DP_TabletWidget : public DW_BaseSetWidget
{
    Q_OBJECT

public:
    explicit DP_TabletWidget(DP_OptionDialog *parent, OFD_Reader* pReader);
    ~DP_TabletWidget();

protected:
    virtual void    _InitUI();
    virtual void    _SaveModify(int iFlag);

private slots:
    void on_pushButton_Color_clicked();
    void on_lineEdit_Width_textChanged(const QString &arg1);
    void on_checkBox_SettingBar_clicked();

private:
    Ui::DP_TabletWidget *ui;
    QColor  m_PenColor;
    DP_OptionDialog*    m_pOptionDialog;
};

#endif // DP_TABLETWIDGET_H
