#ifndef DP_SERVICEWIDGET_H
#define DP_SERVICEWIDGET_H

#include "../widgets/dw_widget.h"

//服务地址设置窗口
namespace Ui {
class DP_ServiceWidget;
}

class DP_ServiceWidget : public DW_BaseSetWidget
{
    Q_OBJECT

public:
    explicit DP_ServiceWidget(QWidget *parent, OFD_Reader* pReader);
    ~DP_ServiceWidget();

protected:
    virtual void    _InitUI();
    virtual void    _SaveModify(int iFlag);

private slots:
    void on_lineEdit_LogAddress_textEdited(const QString &arg1);
    void on_lineEdit_UpdateAddress_textEdited(const QString &arg1);
    void on_lineEdit_RegAddress_textEdited(const QString &arg1);

private:
    Ui::DP_ServiceWidget *ui;
};

#endif // DP_SERVICEWIDGET_H
